// BookTestPacket.h: implementation for the BookTestPacket class.
//
//////////////////////////////////////////////////////////////////////

#include "BookTestPacket.h"
#include <sstream>

#ifndef MIN
#define MIN(a, b) (a > b) ? a : b;
#endif

unsigned BookTestPacket::CompareContent(const BookTestPacket& rVal) const
{
	const unsigned compareLen = MIN(m_Data.size(), rVal.m_Data.size());
	unsigned i;
	for(i = 0; i < compareLen; i++)
	{
		if(m_Data[i] != rVal.m_Data[i])
			return i;
	}
	return UINT_MAX;
}

unsigned BookTestPacket::Size() const
{
	return m_Data.size();
}

string BookTestPacket::ToString() const
{
	stringstream sstr;
	sstr<<Size()<<" Elements: ";
	unsigned i;
	for(i = 0; i < Size(); i++)
		sstr<<m_Data[i]<<" ";
	return sstr.str();
}

